FLAC: FLAC::Metadata::VorbisComment Class Reference

FLAC 1.3.3

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::VorbisComment Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::VorbisComment:

## Classes
class | Entry

## Public Member Functions
| VorbisComment (::FLAC__StreamMetadata *object, bool copy)
VorbisComment & | assign (::FLAC__StreamMetadata *object, bool copy)
uint32_t | get_num_comments () const
const FLAC__byte * | get_vendor_string () const
Entry | get_comment (uint32_t index) const
bool | set_vendor_string (const FLAC__byte *string)
bool | resize_comments (uint32_t new_num_comments)
bool | set_comment (uint32_t index, const Entry &entry)
bool | insert_comment (uint32_t index, const Entry &entry)
bool | append_comment (const Entry &entry)
bool | replace_comment (const Entry &entry, bool all)
bool | delete_comment (uint32_t index)
int | find_entry_from (uint32_t offset, const char *field_name)
int | remove_entry_matching (const char *field_name)
int | remove_entries_matching (const char *field_name)
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| VorbisComment (const VorbisComment &object)
| VorbisComment (const ::FLAC__StreamMetadata &object)
| VorbisComment (const ::FLAC__StreamMetadata *object)
VorbisComment & | operator= (const VorbisComment &object)
VorbisComment & | operator= (const ::FLAC__StreamMetadata &object)
VorbisComment & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const VorbisComment &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const VorbisComment &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

VORBIS_COMMENT metadata block. See the overview for more, and the format specification.

## Constructor & Destructor Documentation

## ◆ VorbisComment() [1/4]

FLAC::Metadata::VorbisComment::VorbisComment | ( | const VorbisComment & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ VorbisComment() [2/4]

FLAC::Metadata::VorbisComment::VorbisComment | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ VorbisComment() [3/4]

FLAC::Metadata::VorbisComment::VorbisComment | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ VorbisComment() [4/4]

FLAC::Metadata::VorbisComment::VorbisComment | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

## ◆ operator=() [1/3]

VorbisComment& FLAC::Metadata::VorbisComment::operator= | ( | const VorbisComment & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [2/3]

VorbisComment& FLAC::Metadata::VorbisComment::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [3/3]

VorbisComment& FLAC::Metadata::VorbisComment::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ assign()

VorbisComment& FLAC::Metadata::VorbisComment::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

## ◆ operator==() [1/3]

bool FLAC::Metadata::VorbisComment::operator== | ( | const VorbisComment & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::VorbisComment::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [3/3]

bool FLAC::Metadata::VorbisComment::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::VorbisComment::operator!= | ( | const VorbisComment & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::VorbisComment::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::VorbisComment::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ set_vendor_string()

bool FLAC::Metadata::VorbisComment::set_vendor_string | ( | const FLAC__byte * | string | ) |

See FLAC__metadata_object_vorbiscomment_set_vendor_string()

## ◆ resize_comments()

bool FLAC::Metadata::VorbisComment::resize_comments | ( | uint32_t | new_num_comments | ) |

See FLAC__metadata_object_vorbiscomment_resize_comments()

## ◆ set_comment()

bool FLAC::Metadata::VorbisComment::set_comment | ( | uint32_t | index,
|  | const Entry & | entry
| ) |  |

See FLAC__metadata_object_vorbiscomment_set_comment()

## ◆ insert_comment()

bool FLAC::Metadata::VorbisComment::insert_comment | ( | uint32_t | index,
|  | const Entry & | entry
| ) |  |

See FLAC__metadata_object_vorbiscomment_insert_comment()

## ◆ append_comment()

bool FLAC::Metadata::VorbisComment::append_comment | ( | const Entry & | entry | ) |

See FLAC__metadata_object_vorbiscomment_append_comment()

## ◆ replace_comment()

bool FLAC::Metadata::VorbisComment::replace_comment | ( | const Entry & | entry,
|  | bool | all
| ) |  |

See FLAC__metadata_object_vorbiscomment_replace_comment()

## ◆ delete_comment()

bool FLAC::Metadata::VorbisComment::delete_comment | ( | uint32_t | index | ) |

See FLAC__metadata_object_vorbiscomment_delete_comment()

## ◆ find_entry_from()

int FLAC::Metadata::VorbisComment::find_entry_from | ( | uint32_t | offset,
|  | const char * | field_name
| ) |  |

See FLAC__metadata_object_vorbiscomment_find_entry_from()

## ◆ remove_entry_matching()

int FLAC::Metadata::VorbisComment::remove_entry_matching | ( | const char * | field_name | ) |

See FLAC__metadata_object_vorbiscomment_remove_entry_matching()

## ◆ remove_entries_matching()

int FLAC::Metadata::VorbisComment::remove_entries_matching | ( | const char * | field_name | ) |

See FLAC__metadata_object_vorbiscomment_remove_entries_matching()

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protectedinherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), FLAC::Metadata::SeekTable::assign(), assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and FLAC::Metadata::Unknown::assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protectedvirtualinherited

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:\n
  is_valid()

## ◆ get_type()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const
| inherited

Returns the type of the block.

Assertions:\n
  is_valid()

## ◆ get_length()

uint32_t FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:\n
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:\n
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |